<?xml version="1.0" encoding="UTF-8"?>
<UNICOSMetaModel xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="..\unicos\UNICOSMetaModel.xsd">
    <Information>
        <Name>OnOff</Name>
        <ObjectTypeFamily>FieldObjectFamily</ObjectTypeFamily>
        <Description>OnOff Device</Description>
        <Version>$LastChangedRevision: 117564 $</Version>
        <VersionComments/>
        <Status/>
    </Information>
    <AttributeFamily>
        <AttributeFamilyName>DeviceIdentification</AttributeFamilyName>
        <UserExpandable>false</UserExpandable>
        <Attribute>
            <AttributeName>Name</AttributeName>
            <Description>Name of the device. It must be unique.
Max length:
- Schneider: 23
- Siemens: Field objects, Controller and PCO: 19; Local: 21; otherwise: 24
Forbidden chars:  [: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]-., double underscore, and page break</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <isSpecificationAttribute>
                <isValueRequired>true</isValueRequired>
                <Usage>Name displayed at the SCADA level if "Expert Name" is not specified.
This name will appear in the datapoints created in the SCADA layer.</Usage>
                <DependentAttributes>Device Links.
The name of the device(s) specified in Device Links *must* correspond to "Expert Name" if it is defined.
If "Expert Name" is not defined, the name of the device(s) specified in Device Links corresponds to "Name".</DependentAttributes>
                <Constraints>Max length:
- Schneider: 23
- Siemens: Field objects, Controller and PCO: 19; Local: 21; otherwise: 24
Forbidden chars:  [: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]-., double underscore, and page break
Name must be unique.</Constraints>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>ExpertName</AttributeName>
            <Description>Name of the device displayed at the SCADA level. It must be unique.
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Expert Name</NameRepresentation>
                <TypeRepresentation>STRING</TypeRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage>It does not affect to the datapoints names in the SCADA layer.</Usage>
                <DependentAttributes>Device Links.
The name of the device(s) specified in Device Links *must* correspond to "Expert Name" if it is defined.
If "Expert Name" is not defined, the name of the device(s) specified in Device Links corresponds to "Name".</DependentAttributes>
                <Constraints>In principle there is no limit to the number of characters used, however a long name may result in display issues at the SCADA level.
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]
Expert Name must be unique.</Constraints>
            </isSpecificationAttribute>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>DeviceDocumentation</AttributeFamilyName>
        <UserExpandable>true</UserExpandable>
        <Attribute>
            <AttributeName>DeviceDescription</AttributeName>
            <Description>Description of the device.  </Description>
            <PrimitiveType>STRING</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Description</NameRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage>Used in the SCADA layer in the device faceplate</Usage>
                <DependentAttributes/>
                <Constraints>In principle there is no limit to the number of characters used, however a long description may result in display issues at the SCADA level.
Forbidden characters:  ;</Constraints>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>Remarks</AttributeName>
            <Description>Field used to add relevant information about the device. </Description>
            <PrimitiveType>STRING</PrimitiveType>
            <isSpecificationAttribute>
                <isValueRequired>false</isValueRequired>
                <Usage>This information is not used in the generation process, it remains only at the specification level for documentation purposes.</Usage>
                <DependentAttributes/>
                <Constraints>Forbidden characters:  ;</Constraints>
            </isSpecificationAttribute>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>FEDeviceParameters</AttributeFamilyName>
        <UserExpandable>true</UserExpandable>
        <Attribute>
            <AttributeName>ParReg</AttributeName>
            <Meaning>Parameter Register</Meaning>
            <Description>Parametrisation register: This register contains all the boolean parameters of the object</Description>
            <PrimitiveType>WORD</PrimitiveType>
            <Attribute>
                <AttributeName>PFsPosOn</AttributeName>
                <Meaning>Parameter Fail-Safe position ON/Open</Meaning>
                <Description>Fail Safe position of the actuator</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>0</BitPosition>
                <isSpecificationAttribute>
                    <NameRepresentation>Fail-Safe</NameRepresentation>
                    <TypeRepresentation>STRING</TypeRepresentation>
                    <isValueRequired>true</isValueRequired>
                    <PermittedValue>On/Open</PermittedValue>
                    <PermittedValue>Off/Close</PermittedValue>
                    <PermittedValue>2 DO Off</PermittedValue>
                    <PermittedValue>2 DO On</PermittedValue>
                    <Usage>This is the position of the device in case of interlock.</Usage>
                    <DependentAttributes/>
                    <Constraints/>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>PHFOn</AttributeName>
                <Meaning>Parameter Hardware Feedback On</Meaning>
                <Description>Enables the activation of the Feedback ON of the object via a hardware sensor</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>1</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>PHFOff</AttributeName>
                <Meaning>Parameter Hardware Feedback Off</Meaning>
                <Description>Enables the activation of the Feedback OFF of the object via a hardware sensor.</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>2</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>PPulse</AttributeName>
                <Meaning>Parameter Pulse</Meaning>
                <Description>Enables Pulsed output. When this parameter is TRUE the output of the Object is driven by a pulse.</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>3</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>PHLD</AttributeName>
                <Meaning>Parameter Hardware Local Drive</Meaning>
                <Description>Enables the local drive feedback. When this input is TRUE the feedback is received via the HFLD.</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>4</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>PHLDCmd</AttributeName>
                <Meaning>Parameter Hardware Local Drive Command</Meaning>
                <Description>Enables the local drive command. When this input is TRUE the command is received via the HFLD.</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>5</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>PAnim</AttributeName>
                <Meaning>Parameter Animation</Meaning>
                <Description>Full/Empty Widget Animation type:
If Full/Empty, the object is always animated full/empty if active Feedback Off/On is not set. Otherwise, if Full/Half/Empty, the object is only animated half full.
For more details, see OnOff object description</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>6</BitPosition>
                <isSpecificationAttribute>
                    <NameRepresentation>Full/Empty Animation</NameRepresentation>
                    <TypeRepresentation>STRING</TypeRepresentation>
                    <isValueRequired>true</isValueRequired>
                    <PermittedValue>Full/Empty</PermittedValue>
                    <PermittedValue>Full/Half/Empty</PermittedValue>
                    <Usage>To always represent the widget as Full or Empty when only one Hardware Feedback is declared.</Usage>
                    <DependentAttributes/>
                    <Constraints>Full/Empty Animation is applied, when only one Hardware Feedback is declared (PHFOn or PHFOff).</Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>POutOff</AttributeName>
                <Meaning>Parameter Output Off</Meaning>
                <Description>Inverted output Parameter. When true the Inverted output of the object is enabled</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>7</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>PEnRstart</AttributeName>
                <Meaning>Parameter Enable Restart</Meaning>
                <Description>Strategy to adopt to restart the device after a Full Stop Interlock.</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>8</BitPosition>
                <isSpecificationAttribute>
                    <NameRepresentation>Manual Restart after Full Stop</NameRepresentation>
                    <TypeRepresentation>STRING</TypeRepresentation>
                    <isValueRequired>true</isValueRequired>
                    <PermittedValue>FALSE</PermittedValue>
                    <PermittedValue>TRUE only if Full Stop disappeared</PermittedValue>
                    <PermittedValue>TRUE even if Full Stop still active</PermittedValue>
                    <Usage>FALSE: Device restarts after acknowledge.
TRUE only if Full Stop disappeared: Ack+Allow Restart needed (possible only if FS disappeared)
TRUE even if Full Stop still active: Ack+Allow Restart needed (possible at any moment)</Usage>
                    <DependentAttributes/>
                    <Constraints>All devices of the application should have the same "Manual Restart after Full Stop"</Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>PRstartFS</AttributeName>
                <Meaning>Parameter Restart after Full Stop</Meaning>
                <Description>Parameter Restart after Full Stop</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>9</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>PFsPosOn2</AttributeName>
                <Meaning>Parameter Fail-Safe Position for 2 DO</Meaning>
                <Description>Reset or activate the 2 DO when 2 DO are present after interlock</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>10</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>PPulseCste</AttributeName>
                <Meaning>Parameter Pulse Constant</Meaning>
                <Description>Only relevant if object is pulsed (Pulse Duration (s) column is not blank):
- if blank/FALSE: output is pulsed until feedback is received
- if TRUE: output will always pulse for specified duration, regardless of the feedback</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>11</BitPosition>
                <isSpecificationAttribute>
                    <NameRepresentation>Constant Time Pulse</NameRepresentation>
                    <TypeRepresentation>BOOLEAN</TypeRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage/>
                    <DependentAttributes>Pulse Duration (s)</DependentAttributes>
                    <Constraints>Only taken into account if Pulse Duration (s) is not blank</Constraints>
                </isSpecificationAttribute>
            </Attribute>
        </Attribute>
        <Attribute>
            <AttributeName>PWDt</AttributeName>
            <Meaning>Position Warning Delay time</Meaning>
            <Description>Delay applied to the Position Alarm when there is a discordance between OutputOrder and Feedback position. 
Must be positive.</Description>
            <PrimitiveType>FLOAT32</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Warning Time Delay (s)</NameRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage/>
                <DependentAttributes/>
                <Constraints>Must be positive</Constraints>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>PPulseLe</AttributeName>
            <Meaning>Parameter Pulse Length</Meaning>
            <Description>Pulse duration (s). Leave blank if output is not pulsed.</Description>
            <PrimitiveType>FLOAT32</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Pulse Duration (s)</NameRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage>For example: for a reset action on an electrical safety chain or 24VDC.</Usage>
                <DependentAttributes/>
                <Constraints/>
            </isSpecificationAttribute>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>FEDeviceInterlocks</AttributeFamilyName>
        <UserExpandable>true</UserExpandable>
        <Attribute>
            <AttributeName>StartI</AttributeName>
            <Meaning>Start Interlock</Meaning>
            <Description>Start Interlock Request: When active, the ON request is blocked.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>TStopI</AttributeName>
            <Meaning>Temporary Stop Interlock</Meaning>
            <Description>Temporary Stop Interlock Request: When active, the object goes automatically to its fail safe position and returns to the previous position after acknowledgement.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>FuStopI</AttributeName>
            <Meaning>Full Stop Interlock</Meaning>
            <Description>Full Stop Interlock Request: Devices goes to Fail-Safe position and remains until acknowledged.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>Al</AttributeName>
            <Meaning>Alarm</Meaning>
            <Description>Alarm input. This is not an interlock; it has no functional impact on the object. It will just display A on the widget with lower priority than other interlocks.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>FEDeviceAutoRequests</AttributeFamilyName>
        <UserExpandable>true</UserExpandable>
        <Attribute>
            <AttributeName>AuOnR</AttributeName>
            <Meaning>Auto On Request</Meaning>
            <Description>Auto On Request (by logic): The control logic requests ON/Open on the object.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AuOffR</AttributeName>
            <Meaning>Auto Off Request</Meaning>
            <Description>Auto Off Request (by logic): The control logic requests Off/Close on the object.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AuIhFoMo</AttributeName>
            <Meaning>Auto Inhibit Forced Mode</Meaning>
            <Description>Auto Inhibit Forced Mode (by logic): The control logic blocks the forced mode operation.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AuIhMMo</AttributeName>
            <Meaning>Auto Inhibit Manual Mode</Meaning>
            <Description>Auto Inhibit Manual Mode (by logic): The control logic blocks the manual mode operation</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AuAuMoR</AttributeName>
            <Meaning>Auto Auto Mode Request</Meaning>
            <Description>Auto Auto Mode Request. The control logic requests Auto Mode on the object</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AuAlAck</AttributeName>
            <Meaning>Auto Alarm Acknowledgement</Meaning>
            <Description>Auto Alarm Acknowledgement: The control logic requests and Acknowledgment of the Alarm Start and Stop Interlocks</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>IhAuMRW</AttributeName>
            <Meaning>Inhibit Auto Manual Request Warning</Meaning>
            <Description>Inhibit Auto Manual Request Warning: The control logic requests to inhibit the warning from discrepancy between manual request and auto request.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AuRStart</AttributeName>
            <Meaning>Auto Enable Restart Request</Meaning>
            <Description>Perform an auto "Allow Restart" from the PLC logic</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>FEDeviceManualRequests</AttributeFamilyName>
        <UserExpandable>true</UserExpandable>
        <Attribute>
            <AttributeName>ManReg01</AttributeName>
            <Meaning>Manual Register 1</Meaning>
            <Description>Manual Register 1</Description>
            <isCommunicated>true</isCommunicated>
            <PrimitiveType>WORD</PrimitiveType>
            <Attribute>
                <AttributeName>MAuMoR</AttributeName>
                <Meaning>Manual Auto Mode Request</Meaning>
                <Description>Manual Auto Mode Request: The operator requests the Auto Mode.</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>0</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MMMoR</AttributeName>
                <Meaning>Manual Manual Mode Request</Meaning>
                <Description>Manual Manual Mode Request: The operator requests the Manual Mode</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>1</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MFoMoR</AttributeName>
                <Meaning>Manual Forced Mode Request</Meaning>
                <Description>Manual Forced Mode Request: The operator requests the Forced Mode.</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>2</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MSoftLDR</AttributeName>
                <Meaning>Manual Software Local Mode</Meaning>
                <Description>The operator requests the Software Local Mode</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>3</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MOnR</AttributeName>
                <Meaning>Manual On Request</Meaning>
                <Description>Manual On Request: The operator requests the On/Open position</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>4</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MOffR</AttributeName>
                <Meaning>Manual Off Request</Meaning>
                <Description>Manual Off Request: The operator requests the Off/Close position</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>5</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MEnRstartR</AttributeName>
                <Meaning>Manual Enable Restart Request</Meaning>
                <Description>Manual Enable Restart Request: The Operator requests a Manual Restart after Full Stop</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>9</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MAlAckR</AttributeName>
                <Meaning>Manual Alarm Acknowledgement Request</Meaning>
                <Description>Manual Alarm Acknowledgement Request: The operator requests Interlocks or Alarms acknowledgement</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>15</BitPosition>
            </Attribute>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>FEDeviceEnvironmentInputs</AttributeFamilyName>
        <UserExpandable>true</UserExpandable>
        <Attribute>
            <AttributeName>HFOn</AttributeName>
            <Meaning>Hardware Feedback On</Meaning>
            <Description>Feedback On of the actuator.
Must be a DI.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Feedback On</NameRepresentation>
                <TypeRepresentation>STRING</TypeRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage>Used to compute the "On" status of the device</Usage>
                <DependentAttributes/>
                <Constraints>Must be a DI</Constraints>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>HFOff</AttributeName>
            <Meaning>Hardware Feedback Off</Meaning>
            <Description>Feedback Off of the actuator.
Must be a DI.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Feedback Off</NameRepresentation>
                <TypeRepresentation>STRING</TypeRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage>Used to compute the "Off" status of the device</Usage>
                <DependentAttributes/>
                <Constraints>Must be a DI</Constraints>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>HLD</AttributeName>
            <Meaning>Hardware Local Drive</Meaning>
            <Description>Activation of the Hardware Local Drive.
Must be a DI.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Local Drive</NameRepresentation>
                <TypeRepresentation>STRING</TypeRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage>Signal to put the actuator in Hardware Local Mode</Usage>
                <DependentAttributes/>
                <Constraints>Must be a DI</Constraints>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>HOnR</AttributeName>
            <Meaning>Hardware On Request</Meaning>
            <Description>Local On Request to the actuator when it is in Hardware Local Mode.
Must be a DI.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Local On</NameRepresentation>
                <TypeRepresentation>STRING</TypeRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage>Signal to send a Local On Request to the device</Usage>
                <DependentAttributes/>
                <Constraints>Must be a DI</Constraints>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>HOffR</AttributeName>
            <Meaning>Hardware Off Request</Meaning>
            <Description>Local Off Request to the actuator when it is in Hardware Local Mode.
Must be a DI.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Local Off</NameRepresentation>
                <TypeRepresentation>STRING</TypeRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage>Signal to send a Local Off Request to the device</Usage>
                <DependentAttributes/>
                <Constraints>Must be a DI</Constraints>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>IOError</AttributeName>
            <Meaning>Input/Output Error</Meaning>
            <Description>IOError state in any of the dependant objects or the PLC channel assigned to the object</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>IOSimu</AttributeName>
            <Meaning>Input/Output Simulated</Meaning>
            <Description>Any of the dependant objects is in Forced or Manual Mode</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AlB</AttributeName>
            <Meaning>Alarm Blocked</Meaning>
            <Description>Alarm Blocked: Any of the device dependant alarm objects has been blocked by the operator</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>FEDeviceOutputs</AttributeFamilyName>
        <UserExpandable>true</UserExpandable>
        <Attribute>
            <AttributeName>OutOnOV</AttributeName>
            <Meaning>Output On Order Value</Meaning>
            <Description>Output connected to the process.
Must be a DO.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Process Output</NameRepresentation>
                <TypeRepresentation>STRING</TypeRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage/>
                <DependentAttributes/>
                <Constraints>Must be a DO</Constraints>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>OutOffOV</AttributeName>
            <Meaning>Output Off Order Value</Meaning>
            <Description>Output Off connected to the process.
Must be a DO.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Process Output Off</NameRepresentation>
                <TypeRepresentation>STRING</TypeRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage>Used when the actuator is driven by 2 DO.  Some actuators (rare) have 1 DO to open and 1 DO to close (bistable behavior).  This DO closes the device.</Usage>
                <DependentAttributes>Process Output must be filled</DependentAttributes>
                <Constraints>Must be a DO</Constraints>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>StsReg01</AttributeName>
            <Meaning>Status Register 1</Meaning>
            <Description>Status Register 1</Description>
            <isEventAttribute>true</isEventAttribute>
            <isCommunicated>true</isCommunicated>
            <PrimitiveType>WORD</PrimitiveType>
            <Attribute>
                <AttributeName>OnSt</AttributeName>
                <Meaning>On Status</Meaning>
                <Description>On/Open Status</Description>
                <isArchived>true</isArchived>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>0</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>OffSt</AttributeName>
                <Meaning>Off Status</Meaning>
                <Description>Off/Closed Status</Description>
                <isArchived>true</isArchived>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>1</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>AuMoSt</AttributeName>
                <Meaning>Auto Mode Status</Meaning>
                <Description>Current status of the Auto Mode</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>2</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MMoSt</AttributeName>
                <Meaning>Manual Mode Status</Meaning>
                <Description>Current status of the Manual Mode</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>3</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>FoMoSt</AttributeName>
                <Meaning>Forced Mode Status</Meaning>
                <Description>Current status of the Forced Mode.</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>4</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>LDSt</AttributeName>
                <Meaning>Local Drive Status</Meaning>
                <Description>Current status of the Local Mode. The object is driven locally.</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>5</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>IOErrorW</AttributeName>
                <Meaning>Input/Output Error Warning</Meaning>
                <Description>Current status of the IOError</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>6</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>IOSimuW</AttributeName>
                <Meaning>Input/Output Simulated Warning</Meaning>
                <Description>Current status of the IOSimu</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>7</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>AuMRW</AttributeName>
                <Meaning>Auto Manual Request Warning Status.</Meaning>
                <Description>Auto and manual requests discrepancy when Manual/Forced mode active.</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>8</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>PosW</AttributeName>
                <Meaning>Position Warning</Meaning>
                <Description>There is  discrepancy between the order status and the position status according to Time Delay and Dead-band.</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>9</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>StartISt</AttributeName>
                <Meaning>Start Interlock Status</Meaning>
                <Description>Current status of the Start Interlock</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>10</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>TStopISt</AttributeName>
                <Meaning>Temporary Stop Interlock Status</Meaning>
                <Description>Current status of the Temporary Stop Interlock</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>11</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>AlUnAck</AttributeName>
                <Meaning>Alarm UnAcknowledged</Meaning>
                <Description>Alarm UnAcknowledged: The alarm or at least one of the alarms associated to the object is not acknowledged</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>12</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>AuIhFoMoSt</AttributeName>
                <Meaning>Auto Inhibit Forced Mode Status</Meaning>
                <Description>Auto Inhibit Forced Mode status: Current status of the Auto Inhibit forced mode.</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>13</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>AlSt</AttributeName>
                <Meaning>Alarm Status</Meaning>
                <Description>Alarm Status</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>14</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>AuIhMMoSt</AttributeName>
                <Meaning>Auto Inhibit Manual Mode Status</Meaning>
                <Description>Auto Inhibit Manual Mode Status</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>15</BitPosition>
            </Attribute>
        </Attribute>
        <Attribute>
            <AttributeName>StsReg02</AttributeName>
            <Meaning>Status Register 2</Meaning>
            <Description>Status Register 2</Description>
            <isEventAttribute>true</isEventAttribute>
            <isCommunicated>true</isCommunicated>
            <PrimitiveType>WORD</PrimitiveType>
            <Attribute>
                <AttributeName>OutOnOVSt</AttributeName>
                <Meaning>Output On Order Value Status</Meaning>
                <Description>Output On Order Value Status</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>0</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>AuOnRSt</AttributeName>
                <Meaning>Auto On Request Status</Meaning>
                <Description>Auto On/Open Request Status</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>1</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MOnRSt</AttributeName>
                <Meaning>Manual On Request Status</Meaning>
                <Description>Manual On/Open Request Status</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>2</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>AuOffRSt</AttributeName>
                <Meaning>Auto Off Request Status</Meaning>
                <Description>Auto Off/Close request status</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>3</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>MOffRSt</AttributeName>
                <Meaning>Manual Off Request Status</Meaning>
                <Description>Manual Off/Close request status</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>4</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>HOnRSt</AttributeName>
                <Meaning>Hardware On Request Status</Meaning>
                <Description>Hardware On/Open request</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>5</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>HOffRSt</AttributeName>
                <Meaning>Hardware Off Request Status</Meaning>
                <Description>Hardware Off/Close request status</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>6</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>FuStopISt</AttributeName>
                <Meaning>Full Stop Interlock Status</Meaning>
                <Description>Full Stop Interlock Status</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>10</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>EnRstartSt</AttributeName>
                <Meaning>Enable Restart Status</Meaning>
                <Description>Manual Restart after full stop status</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>11</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>SoftLDSt</AttributeName>
                <Meaning>Software Local Mode Status</Meaning>
                <Description>Current status of the Software Local Mode.</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>12</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>AlBW</AttributeName>
                <Meaning>Alarm Blocked Warning</Meaning>
                <Description>When true, the alarm or any of the device dependant alarm objects have been blocked by the operator</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>13</BitPosition>
            </Attribute>
            <Attribute>
                <AttributeName>OutOffOVSt</AttributeName>
                <Meaning>Output Off Order Value Status</Meaning>
                <Description>Output Off Order Value Status</Description>
                <PrimitiveType>BIT1</PrimitiveType>
                <BitPosition>14</BitPosition>
            </Attribute>
        </Attribute>
        <Attribute>
            <AttributeName>OnSt</AttributeName>
            <Meaning>On Status</Meaning>
            <Description>On/Open Status</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>OffSt</AttributeName>
            <Meaning>Off Status</Meaning>
            <Description>Off/Closed Status</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>HOnRSt</AttributeName>
            <Meaning>Hardware On Request Status</Meaning>
            <Description>Hardware On Request Status</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>HOffRSt</AttributeName>
            <Meaning>Hardware Off Request Status</Meaning>
            <Description>Hardware Off Request Status</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AuOnRSt</AttributeName>
            <Meaning>Auto On Request Status</Meaning>
            <Description>Auto On Request Status</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AuOffRSt</AttributeName>
            <Meaning>Auto Off Request Status</Meaning>
            <Description>Auto Off Request Status</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>MOnRSt</AttributeName>
            <Meaning>Manual On Request Status</Meaning>
            <Description>Manual On Request Status</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>MOffRSt</AttributeName>
            <Meaning>Manual Off Request Status</Meaning>
            <Description>Manual Off Request Status</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AuMoSt</AttributeName>
            <Meaning>Auto Mode Status</Meaning>
            <Description>Current status of the Auto Mode</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>MMoSt</AttributeName>
            <Meaning>Manual Mode Status</Meaning>
            <Description>Current status of the Manual Mode request</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>FoMoSt</AttributeName>
            <Meaning>Forced Mode Status</Meaning>
            <Description>Current status of the Forced Mode.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>LDSt</AttributeName>
            <Meaning>Local Drive Status</Meaning>
            <Description>Current status of the Local mode.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>SoftLDSt</AttributeName>
            <Meaning>Software Local Drive Status</Meaning>
            <Description>Current status of the Sotware Local mode request</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>IOErrorW</AttributeName>
            <Meaning>Input/Output Error Warning</Meaning>
            <Description>Current status of the IOError</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>IOSimuW</AttributeName>
            <Meaning>Inpout/Output Simulated Warning</Meaning>
            <Description>Current status of the IOSimu</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AlBW</AttributeName>
            <Meaning>Alarm Blocked Warning</Meaning>
            <Description>When true, the alarm or any of the device dependant alarm objects have been blocked by the operator</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AuMRW</AttributeName>
            <Meaning>Auto Manual Request Warning</Meaning>
            <Description>Auto and manual requests discrepancy when Manual/Forced mode active</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>PosW</AttributeName>
            <Meaning>Position Warning</Meaning>
            <Description>Position Warning Status</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>StartISt</AttributeName>
            <Meaning>Start Interlock Status</Meaning>
            <Description>Current status of StartI</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>TStopISt</AttributeName>
            <Meaning>Temporary Stop Interlock Status</Meaning>
            <Description>Current status of TStopI</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>FuStopISt</AttributeName>
            <Meaning>Full Stop Interlock Status</Meaning>
            <Description>Full Stop Interlock Status</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AlUnAck</AttributeName>
            <Meaning>Alarm UnAcknowledged</Meaning>
            <Description>Alarm UnAcknowledged: The alarm or at least one of the alarms associated to the object is not acknowledged</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>EnRStartSt</AttributeName>
            <Meaning>Enable Restart Status</Meaning>
            <Description>Manual Restart after full stop status possible</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>RdyStartSt</AttributeName>
            <Meaning>Ready To Start Status</Meaning>
            <Description>The object is ready to start, there is no blocking process to start.</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
        <Attribute>
            <AttributeName>AlSt</AttributeName>
            <Meaning>Alarm Status</Meaning>
            <Description>Alarm Status</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>SCADADeviceGraphics</AttributeFamilyName>
        <UserExpandable>true</UserExpandable>
        <Attribute>
            <AttributeName>WidgetType</AttributeName>
            <Description>Define the widget type to display in the SCADA device tree overview only. 
The widget displayed in the process panel will be selected when the user creates the panel.</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Widget Type</NameRepresentation>
                <isValueRequired>true</isValueRequired>
                <isCaseSensitive>true</isCaseSensitive>
                <PermittedValue>OnOffSquare</PermittedValue>
                <PermittedValue>OnOffMotor</PermittedValue>
                <PermittedValue>OnOffPumpHorizontalLeft</PermittedValue>
                <PermittedValue>OnOffPumpHorizontalRight</PermittedValue>
                <PermittedValue>OnOffPumpVerticalHigh</PermittedValue>
                <PermittedValue>OnOffPumpVerticalLow</PermittedValue>
                <PermittedValue>OnOffHeaterHorizontal</PermittedValue>
                <PermittedValue>OnOffHeaterVertical</PermittedValue>
                <PermittedValue>OnOffValveHorizontal</PermittedValue>
                <PermittedValue>OnOffValveVertical</PermittedValue>
                <PermittedValue>OnOffElectricValveHorizontal</PermittedValue>
                <PermittedValue>OnOffElectricValveVertical</PermittedValue>
                <PermittedValue>OnOffFan</PermittedValue>
                <PermittedValue>OnOffManualValveHorizontal</PermittedValue>
                <PermittedValue>OnOffManualValveVertical</PermittedValue>
                <PermittedValue>OnOffDamperHorizontal</PermittedValue>
                <PermittedValue>OnOffDamperVertical</PermittedValue>
                <PermittedValue>OnOffDoubleDamperHorizontal</PermittedValue>
                <PermittedValue>OnOffDoubleDamperVertical</PermittedValue>
                <PermittedValue>OnOffElecHeaterHorizontal</PermittedValue>
                <PermittedValue>OnOffElecHeaterVertical</PermittedValue>
                <PermittedValue>OnOffInvertedValveHorizontal</PermittedValue>
                <PermittedValue>OnOff3WayValveVerticalLeftOnDown</PermittedValue>
                <PermittedValue>OnOff3WayValveVerticalRightOnUp</PermittedValue>
                <PermittedValue>OnOff3WayValveHorizontalDownOnLeft</PermittedValue>
                <PermittedValue>OnOff3WayValveHorizontalDownOnRight</PermittedValue>
                <PermittedValue>OnOff3WayValveHorizontalUpOnLeft</PermittedValue>
                <PermittedValue>OnOff3WayValveHorizontalUpOnRight</PermittedValue>
                <Usage/>
                <DependentAttributes/>
                <Constraints/>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>LabelOn</AttributeName>
            <Description>SCADA description associated to the State of the object</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Label On</NameRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage/>
                <DependentAttributes/>
                <Constraints/>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>LabelOff</AttributeName>
            <Description>SCADA description associated to the State of the object</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Label Off</NameRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage/>
                <DependentAttributes/>
                <Constraints/>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>Synoptic</AttributeName>
            <Description>Define link between the device and an existing synoptic where it appears. The synoptic specified here can be accessed from the device right-click menu item "Synoptic".</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <isSpecificationAttribute>
                <isValueRequired>false</isValueRequired>
                <Usage>Specify the path of the .pnl file under the "\panel" directory of the PVSS project.</Usage>
                <DependentAttributes/>
                <Constraints/>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>DiagnosticPanel</AttributeName>
            <Description>Define link between the device and an existing diagnostic panel for the device. The panel specified here can be accessed from the device right-click menu item "Diagnostic" as well as from the "Diagnostic" button on the object faceplate.</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Diagnostic</NameRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage>Specify the path of the .pnl file under the "\panel" directory of the PVSS project </Usage>
                <DependentAttributes/>
                <Constraints/>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>WWWLink</AttributeName>
            <Description>Define link between the device and an existing web page (or pdf file, or other file which can be opened with IE).  The link can be accessed from the device right-click menu item "Info" as well as from the "Info" button on the object faceplate.</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>WWW Link</NameRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage/>
                <DependentAttributes/>
                <Constraints/>
            </isSpecificationAttribute>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>SCADADeviceFunctionals</AttributeFamilyName>
        <UserExpandable>false</UserExpandable>
        <Attribute>
            <AttributeName>MaskEvent</AttributeName>
            <Description>If TRUE: the events of the device will be masked in SCADA and not diplayed or archived in the Event List.
An 'event' is defined as a bit change in StsReg01 or StsReg02</Description>
            <PrimitiveType>BOOLEAN</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Mask Event</NameRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage/>
                <DependentAttributes/>
                <Constraints/>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>AccessControlDomain</AttributeName>
            <Description>Define Access Control on the device to an existing SCADA Domain
Forbidden characters:  *[: "'@`#$%^&amp;*?!;=+~(){}&lt;&gt;|]</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Access Control Domain</NameRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage>This domain is used to grant access to this specific device. The domain specified for this object will allow access to the object only to registered users on that domain</Usage>
                <DependentAttributes/>
                <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!;=+~(){}&lt;&gt;|]</Constraints>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>SCADADeviceClassificationTags</AttributeName>
            <Description>It defines the Domain, Nature and DeviceLinks for the SCADA visualization</Description>
            <PrimitiveType>STRUCT</PrimitiveType>
            <Attribute>
                <AttributeName>Domain</AttributeName>
                <Description>Domain of the device. If empty, the domain will be the name of the application
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <isValueRequired>false</isValueRequired>
                    <Usage>Domain is used to filter the devices in the alarm list or in the device tree overview</Usage>
                    <DependentAttributes/>
                    <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>Nature</AttributeName>
                <Description>Nature of the device. If empty, the nature will be the type of the device
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <isValueRequired>false</isValueRequired>
                    <Usage>Nature is used to filter the devices in the alarm list or in the device tree overview</Usage>
                    <DependentAttributes/>
                    <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>DeviceLinks</AttributeName>
                <Description>Define links to other devices (separate device names with commas). 
Note: it is not necessary to link to master, parents or children because these links are automatically created.
Forbidden characters:  *[: "'@`#$%^&amp;*?!;=+~(){}&lt;&gt;|]</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>Device Links</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage>Linked devices will be shown in the device right-click menu</Usage>
                    <DependentAttributes>Expert Name or Name.
The name of the device(s) specified here *must* correspond to "Expert Name" if it is defined.
If "Expert Name" is not defined, the name of the device(s) specified here corresponds to "Name".</DependentAttributes>
                    <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!;=+~(){}&lt;&gt;|]</Constraints>
                </isSpecificationAttribute>
            </Attribute>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>SCADADeviceDataArchiving</AttributeFamilyName>
        <UserExpandable>true</UserExpandable>
        <Attribute>
            <AttributeName>BooleanArch</AttributeName>
            <Description>Name of the Boolean archive
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <DefaultValue>boolean</DefaultValue>
            <isSpecificationAttribute>
                <NameRepresentation>Boolean Archive</NameRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage>The boolean values of the device will be archived in the specified PVSS database. The archive must be created in PVSS before importing the object.</Usage>
                <DependentAttributes/>
                <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>AnalogArch</AttributeName>
            <Description>Name of the analog archive
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <DefaultValue>analog</DefaultValue>
            <isSpecificationAttribute>
                <NameRepresentation>Analog Archive</NameRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage>The analog values of the device will be archived in the specified PVSS database. The archive must be created in PVSS before importing the object.</Usage>
                <DependentAttributes/>
                <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>EventArch</AttributeName>
            <Description>Name of the event archive
Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <DefaultValue>event</DefaultValue>
            <isSpecificationAttribute>
                <NameRepresentation>Event Archive</NameRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage>The events generated by the device will be archived in the specified PVSS database. The archive must be created in PVSS before importing the object.</Usage>
                <DependentAttributes/>
                <Constraints>Forbidden characters:  *[: "'@`#$%^&amp;*?!,;=+~(){}&lt;&gt;|]</Constraints>
            </isSpecificationAttribute>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>LogicDeviceDefinitions</AttributeFamilyName>
        <UserExpandable>true</UserExpandable>
        <Attribute>
            <AttributeName>MasterDevice</AttributeName>
            <Description>Master of the device (relative to the hierarchy of dependent objects).</Description>
            <PrimitiveType>STRING</PrimitiveType>
            <isSpecificationAttribute>
                <NameRepresentation>Master</NameRepresentation>
                <isValueRequired>false</isValueRequired>
                <Usage>The master will give automatic requests to the device. The master object will appear in the list of "Device Links" in the device right-click menu.</Usage>
                <DependentAttributes/>
                <Constraints>Must be a single PCO for field objects, controller, or PCO. 
Must be PCO or field objects for alarms (several masters are allowed in the case of multiple alarms, separated by commas or spaces).</Constraints>
            </isSpecificationAttribute>
        </Attribute>
        <Attribute>
            <AttributeName>CustomLogicParameters</AttributeName>
            <Description>User defined meaning, used by the logic generators.</Description>
            <PrimitiveType>STRUCT</PrimitiveType>
            <Attribute>
                <AttributeName>Parameter1</AttributeName>
                <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <isValueRequired>false</isValueRequired>
                    <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
                    <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
                    <Constraints>Forbidden characters:  "$' </Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>Parameter2</AttributeName>
                <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <isValueRequired>false</isValueRequired>
                    <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
                    <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
                    <Constraints>Forbidden characters:  "$' </Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>Parameter3</AttributeName>
                <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <isValueRequired>false</isValueRequired>
                    <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
                    <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
                    <Constraints>Forbidden characters:  "$' </Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>Parameter4</AttributeName>
                <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <isValueRequired>false</isValueRequired>
                    <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
                    <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
                    <Constraints>Forbidden characters:  "$' </Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>Parameter5</AttributeName>
                <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <isValueRequired>false</isValueRequired>
                    <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
                    <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
                    <Constraints>Forbidden characters:  "$' </Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>Parameter6</AttributeName>
                <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <isValueRequired>false</isValueRequired>
                    <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
                    <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
                    <Constraints>Forbidden characters:  "$' </Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>Parameter7</AttributeName>
                <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <isValueRequired>false</isValueRequired>
                    <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
                    <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
                    <Constraints>Forbidden characters:  "$' </Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>Parameter8</AttributeName>
                <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <isValueRequired>false</isValueRequired>
                    <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
                    <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
                    <Constraints>Forbidden characters:  "$' </Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>Parameter9</AttributeName>
                <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <isValueRequired>false</isValueRequired>
                    <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
                    <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
                    <Constraints>Forbidden characters:  "$' </Constraints>
                </isSpecificationAttribute>
            </Attribute>
            <Attribute>
                <AttributeName>Parameter10</AttributeName>
                <Description>Parameter to be used in the logic templates
Forbidden characters:  "$' </Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <isValueRequired>false</isValueRequired>
                    <Usage>This parameter can be used in user logic templates to define specific logic for the device. If no "CustomLogicSections.* User Template"?, parameter is ignored.</Usage>
                    <DependentAttributes>Parameter will be used in specified "CustomLogicSections.* User Template"? file</DependentAttributes>
                    <Constraints>Forbidden characters:  "$' </Constraints>
                </isSpecificationAttribute>
            </Attribute>
        </Attribute>
        <Attribute>
            <AttributeName>CustomLogicSections</AttributeName>
            <Description>If specified, these sections will override the default logic sections (UNICOS provided).</Description>
            <PrimitiveType>STRUCT</PrimitiveType>
            <isSpecificationAttribute>
                <isValueRequired>false</isValueRequired>
                <Usage/>
                <DependentAttributes/>
                <Constraints/>
            </isSpecificationAttribute>
            <Attribute>
                <AttributeName>DL</AttributeName>
                <Description>Define user template for the Dependent Logic</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <isSpecificationAttribute>
                    <NameRepresentation>DL User Template</NameRepresentation>
                    <isValueRequired>false</isValueRequired>
                    <Usage>Specify path of the python script located under the "UserSpecific" directory</Usage>
                    <DependentAttributes>CustomLogicParameters.ParameterX (where X=1-10)</DependentAttributes>
                    <Constraints/>
                </isSpecificationAttribute>
            </Attribute>
        </Attribute>
    </AttributeFamily>
    <AttributeFamily>
        <AttributeFamilyName>TargetDeviceInformation</AttributeFamilyName>
        <UserExpandable>true</UserExpandable>
        <Attribute>
            <AttributeName>Target</AttributeName>
            <Description>Identifies a target type (e.g. SIEMENS, SCHNEIDER...)</Description>
            <PrimitiveType>STRUCT</PrimitiveType>
            <DefaultValue>Siemens</DefaultValue>
            <Attribute>
                <AttributeName>RepresentationName</AttributeName>
                <Description>It's the name used ...</Description>
                <PrimitiveType>STRING</PrimitiveType>
                <DefaultValue>ONOFF</DefaultValue>
            </Attribute>
            <Attribute>
                <AttributeName>Optimized</AttributeName>
                <Description>Is this object an optimized Object?</Description>
                <PrimitiveType>BOOLEAN</PrimitiveType>
                <DefaultValue>false</DefaultValue>
            </Attribute>
            <Attribute>
                <AttributeName>LimitSize</AttributeName>
                <Description>Maximun number of instances allowed</Description>
                <PrimitiveType>INT32</PrimitiveType>
                <DefaultValue>250</DefaultValue>
            </Attribute>
        </Attribute>
    </AttributeFamily>
</UNICOSMetaModel>
